/****************************************************************************
**
** Copyright (C) 2012 Takumi Asaki
** All rights reserved.
** Contact: Takumi Asaki (takumi.asaki@gmail.com)
**
** This file is part of the fontmanager application.
**
** You may use this file under the terms of the BSD license as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
**     the names of its contributors may be used to endorse or promote
**     products derived from this software without specific prior written
**     permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
**
****************************************************************************/

#ifndef FONTCONFIGDEFS_H
#define FONTCONFIGDEFS_H

#define EMBEDDEDBITMAP_DEF "embeddedbitmap"
#define HINTING_DEF "hinting"
#define ANTIALIAS_DEF "antialias"
#define AUTOHINT_DEF "autohint"

#define FONTCONFIG_DEF "fontconfig"

#define ALIAS_DEF "alias"
#define FAMILY_DEF "family"
#define PREFER_DEF "prefer"
#define ACCEPT_DEF "accept"
#define MATCH_DEF "match"
#define TEST_DEF "test"
#define EDIT_DEF "edit"

#define STRING_DEF "string"
#define BOOL_DEF "bool"
#define INT_DEF "int"
#define DOUBLE_DEF "double"

#define TARGET_DEF "target"
#define COMPARE_DEF "compare"
#define MODE_DEF "mode"
#define NAME_DEF "name"
#define QUAL_DEF "qual"

#define PATTERN_DEF "pattern"
#define FONT_DEF "font"
#define SCAN_DEF "scan"

#define DEFAULT_DEF "default"
#define PROPERTY_DEF "property"

#define ANY_DEF "any"

#define EQ_DEF "eq"

#define ASSIGN_DEF "assign"
#define PREPEND_DEF "prepend"
#define APPEND_DEF "append"

#define BINDING_DEF "binding"
#define STRONG_DEF "strong"

#define SANSSERIF_DEF "sans-serif"
#define SERIF_DEF "serif"
#define MONOSPACE_DEF "monospace"
#define SYSTEM_DEF "Nokia Pure Text"

#define TRUE_DEF "true"
#define FALSE_DEF "false"

#endif // FONTCONFIGDEFS_H
